Subject: Idea: "repair" tool

From: Simon Richter <[email-masked]>
Date: Tue, 31 Jan 2006 14:16:50 +0100

Hi,

since one of my linux-2.6 repos got damaged by filesystem corruption (a 
bunch of objects vanished), I am wondering whether it would make sense 
to have a small tool that would get a list of missing objects and try to 
acquire them from all known remote repos (possibly with the approach of 
trying the one you got the last object from first, as usually only files 
from the same pull will have problems if there are filesystem issues).

What do you think?

    Simon